# GET /visits URL: https://developers.vsee.io/api/visit-api/get/visits operationId: listVisits Auth: User Token — Requires a user access token from login or SSO. List visits Get the visits list of the patient. Upcoming appointments have start > current timestamp. Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - room_code (query, string, optional) — Filter visits by room code - start_time (query, integer, optional) — Filter visits starting after this UNIX timestamp - end_time (query, integer, optional) — Filter visits ending before this UNIX timestamp - status (query, string, optional) — Filter by visit status. Values: 10 (Pending), 20 (Confirmed), 25 (In-progress), 30 (Completed), 40 (Cancelled) - fields (query, string, optional) — Comma-separated field names to return. Include `recordings` to receive recording objects for each visit. - with_recordings_only (query, integer, optional) — Set to `1` to filter out visits without recordings. When `fields` includes `recordings`, this flag includes the recordings object in each visit. [enum: 0, 1] Responses: - 200 — Visits list retrieved successfully ```json { "data": [ { "id": "7727", "member_id": "575", "provider_id": "1096", "account_code": "vclinic", "code": "57a07c26947c4544aeef4e5cac1f0144", "start": "1470669300", "end": "1470670200", "type": "2", "status": "20", "created": 1470135334, "modified": 1470135334, "provider": { "id": "1096", "first_name": "Anton", "last_name": "Provider III" }, "member": { "id": "575", "first_name": "Keven2", "last_name": "Teodoro2" } } ] } ``` - 401 — Unauthorized ```json { "error": "Unauthorized", "message": "Invalid or missing API token" } ```